Download a collection
POST
/download-collection
const url = 'https://registry.rex.dynata.com/download-collection';const options = { method: 'POST', headers: { 'dynata-expiration': '2026-04-15T12:00:00Z', 'dynata-access-key': 'ADSF23ADF354GFDDS23', 'dynata-signature': 'dsklj435kljhfdSAFdsalk34', 'Content-Type': 'application/json' }, body: '{"id":"23947683"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://registry.rex.dynata.com/download-collection \ --header 'Content-Type: application/json' \ --header 'dynata-access-key: ADSF23ADF354GFDDS23' \ --header 'dynata-expiration: 2026-04-15T12:00:00Z' \ --header 'dynata-signature: dsklj435kljhfdSAFdsalk34' \ --data '{ "id": "23947683" }'Download a larger collection of values.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”dynata-expiration
required
string format: date-time
RFC3339 timestamp indicating request expiration
dynata-access-key
required
string
Dynata provided access key
Example
ADSF23ADF354GFDDS23dynata-signature
required
string
Signature created using the Dynata methodology
Example
dsklj435kljhfdSAFdsalk34Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
id
required
Unique identifier of collection
string
Example
23947683Responses
Section titled “Responses”Download completed successfully
Headers
Section titled “Headers”status
string
Transfer-Encoding
string
Chunked
Processing time will vary by
collection.
The fetched collection is being processed. Try again in 5 to 10 seconds.
Headers
Section titled “Headers”status
string
Bad request
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}Invalid credentials
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}Unauthorized
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}Collection not found
Media typeapplication/json
object
error
required
string
Example
{ "error": "collection with id {collection_id} was not found"}Internal server error
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}Headers
Section titled “Headers”status
string